#include <iomanip>
#include <iostream>
#include <stdlib.h>
#include <conio.h>

using namespace std;

class MyDate {
  public:
    void Set(int d, int m, int y) {
      day = d;
      month = m;
      year = y;
    }
    bool isLeapYear() { return (year%4==0 && year%100!=0) || (year%400==0); }

    void Tomorrow() {
      if (day==28 && month==2 && !isLeapYear()) {
        month++; day=1;
      }  
      else if (day==29 && month==2 && isLeapYear()) {
        month++; day=1;
      }  
      else if (day==30 && (month==4 || month==6 || month==9 || month==11)) {
        month++; day=1;
      }  
      else if (day==31) {
        if (month==12) {
          year++; month=1;
        } else month++;
        day=1;
      }
      else day++;
    }

    void Print() { cout << (day<10?"0":"") << day << "/" << (month<10?"0":"") << month << "/" << year << endl; }
  //private:
    int day;
    int month;
    int year;
};

int main() {  
    
    cout << "Press 'Enter' for Tomorrow()"  << endl << "Press any key to Exit"  << endl << endl;
    char temp;
    MyDate d;
    d.Set(18, 12, 2012);
    do {
      d.Print();
      d.Tomorrow();
      temp = getch();
      
    } while (temp=='\r');
    
// 
    cout << endl; system("PAUSE");
    return 0;  
} 
